Собрать derivation path
Собирает канонический derivation path (m/44/{coinType}/{seg0}/...) из значений сегментов. Валидирует: сеть подключена к Vault, все Route.code присутствуют, static-варианты существуют и enabled, dynamic-значения — integer в [0, 2^31-1].
curl -X POST "https://policy-engine-rest.ezig.workers.dev/api/v1/vaults/test_vault/derivation-path/build" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-d '{
"networkCode": "tron_network",
"values": {
"index": 0,
"app_id": "otc_app",
"purpose": "invoices",
"asset": "usdt",
"stage": "prod"
}
}'
import requests
import json
url = "https://policy-engine-rest.ezig.workers.dev/api/v1/vaults/test_vault/derivation-path/build"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
data = {
"networkCode": "tron_network",
"values": {
"index": 0,
"app_id": "otc_app",
"purpose": "invoices",
"asset": "usdt",
"stage": "prod"
}
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://policy-engine-rest.ezig.workers.dev/api/v1/vaults/test_vault/derivation-path/build", {
method: "POST",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
},
body: JSON.stringify({
"networkCode": "tron_network",
"values": {
"index": 0,
"app_id": "otc_app",
"purpose": "invoices",
"asset": "usdt",
"stage": "prod"
}
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"networkCode": "tron_network",
"values": {
"index": 0,
"app_id": "otc_app",
"purpose": "invoices",
"asset": "usdt",
"stage": "prod"
}
}`)
req, err := http.NewRequest("POST", "https://policy-engine-rest.ezig.workers.dev/api/v1/vaults/test_vault/derivation-path/build", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://policy-engine-rest.ezig.workers.dev/api/v1/vaults/test_vault/derivation-path/build')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
request.body = '{
"networkCode": "tron_network",
"values": {
"index": 0,
"app_id": "otc_app",
"purpose": "invoices",
"asset": "usdt",
"stage": "prod"
}
}'
response = http.request(request)
puts response.body
{
"path": "m/44/195/0/0/1/1/0"
}
{
"error": "Bad Request",
"message": "The request contains invalid parameters or malformed data",
"code": 400,
"details": [
{
"field": "email",
"message": "Invalid email format"
}
]
}
{
"error": "Unauthorized",
"message": "Authentication required. Please provide a valid API token",
"code": 401
}
{
"error": "Not Found",
"message": "The requested resource was not found",
"code": 404
}
{
"error": "Internal Server Error",
"message": "An unexpected error occurred on the server",
"code": 500,
"requestId": "req_1234567890"
}
/api/v1/vaults/{code}/derivation-path/buildTarget server for requests. Edit to use your own host.
better-auth session token. Мобилка/сервисы. Веб использует cookie.
API key (sent in cookie)
Уникальный код Vault'а (slug)
The media type of the request body
Route.code → значение. Для static route — variant code (string) или pathId (number); для dynamic — number.
Request Preview
Response
Response will appear here after sending the request
Authentication
Bearer token. better-auth session token. Мобилка/сервисы. Веб использует cookie.
API Key for authentication. Provide your API key in the cookie.
Path Parameters
Body
tron_networkRoute.code → значение. Для static route — variant code (string) или pathId (number); для dynamic — number.
{"index":0,"app_id":"otc_app","purpose":"invoices","asset":"usdt","stage":"prod"}